# author: Theophanis Tsandilas

# Script demonstrating a simple power analysis

N <- 10000 # Number of experiments
m0 <- 100 # mean of null distribution

# Expected effect: mean and standard deviation
m = 95
sd = 7
n <- 20 # Sample size

alpha <- .05 # Singificance level
typeII.errors <- 0

for(i in 1:N){
    sample <- rnorm(n, m, sd)
    p <- t.test(sample - m0)$p.value
    
    if(p > alpha) typeII.errors <- typeII.errors + 1
}

cat("Type II error rate:", typeII.errors / N, "\n")
cat("Statistical power:", (1 - typeII.errors / N)*100, "%\n")
