# author: Theophanis Tsandilas

# Simulation showing that incrementally increasing the sample size to reach significance inflates Type I error rates

N <- 1000 #Number of experiments
n <- 12 #Initial sample size
nmax <- 30 #Max sample size

alpha <- .05

error <- 0
for(i in 1:N){
    count <- n
    sample <- rnorm(n)
    p <- t.test(sample)$p.value
    
    while(p > alpha && count <= nmax){ # If p > .05, recruite a new participant!
        sample <- c(sample, rnorm(1))
        p <- t.test(sample)$p.value
        count <- count + 1
     }
    
    if(p < alpha) error <- error + 1
}

cat("Type I error:", error / N, "\n")
