# author: Theophanis Tsandilas

# Script demonstating the calculation of p values, assuming
# that the population variance is known

m0 <- 100 # mean for null hypothesis
sd <- 15 # We assume that the population sd is known

# These are the observed IQ scores
scores <- c(90, 91, 93, 100, 101, 88, 98, 100, 87, 83, 97, 105, 99, 91, 81)
m <- mean(scores)

# I calculate the standard error of the mean
se <- sd / sqrt(length(scores))

# I calulcate the z statistic, i.e., the standardized mean difference
z = (m - m0) / se

# This is the one side p value
pvalue <- pnorm(z)
cat("one sided p-value =", pvalue, "\n")
cat("two sided p-value =", 2*pvalue, "\n")


# I plot the cdf of the standard normal distribution and show the p values
curve(pnorm(x), xlim = c(-4, 4))
y1 = pvalue
y2 = 1 - pvalue
segments(c(z,-z), c(-1,-1), c(z,-z), c(y1,y2), lty = 2, col ="red")
segments(c(-5,-5), c(y1,y2), c(z,-z), c(y1,y2), lty = 2, col ="red")
